<?php

// Defines the base path on the server relative to the spreedwebrtc plugin
// and traverse symbolic links if present, terminated by a slash
$path_segments = explode(DIRECTORY_SEPARATOR, dirname($_SERVER['SCRIPT_FILENAME']));
$base_path = implode(DIRECTORY_SEPARATOR, array_splice($path_segments, 0, count($path_segments) - 2));
define('WEBAPP_BASE_PATH', dirname($base_path) . "/");

define("MEETINGID_REGEX", "/^[a-z0-9_\-\.]+$/im");
define("MEETINGID_STRIP_REGEX", "/[^A-Za-z0-9_\.]/");
define("MEETINGID_ROOMBASE_MAXLEN", 10);
define("DISPLAYNAME_REGEX", "/^[\s,.'\-\pL\]+$/im");

?>
