<?php

require_once("webapp_auth_common.php");

// Bootstrap the script
require_once(WEBAPP_BASE_PATH.'server/includes/bootstrap.php');

// Try to authenticate the user
WebAppAuthentication::authenticate();
if (WebAppAuthentication::isAuthenticated()) {
	$GLOBALS['mapisession'] = WebAppAuthentication::getMapiSession();
	// Instantiate Plugin Manager and init the plugins (btw: globals suck)
	$GLOBALS['PluginManager'] = new PluginManager(ENABLE_PLUGINS);
	$GLOBALS['PluginManager']->detectPlugins(DISABLED_PLUGINS_LIST);
	$GLOBALS['PluginManager']->initPlugins(DEBUG_LOADER);
}

?>